Package ru.bitel.bgbilling.modules.bill.client.bean

# Class BillTableRow

java.lang.Object
ru.bitel.bgbilling.modules.bill.client.bean.BillTableRow

    public class BillTableRow
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `int` | `cid` |
  `protected java.lang.String` | `contract` |
  `protected java.lang.String` | `contractComment` |
  `java.util.List<BGBillTablePos>` | `defaultPosList` |
  `protected java.util.List<BGBillTablePos>` | `positionList` |
  `protected java.util.List<BillTableRow>` | `subBillList` |
  `int` | `type` |
  `java.lang.String` | `typeTitle` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BillTableRow​(java.util.List<BGBillTablePos> positionList)` |
  `BillTableRow​(org.w3c.dom.Element rowData, java.util.List<BGBillTablePos> positionList)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getContract()` |
  `java.lang.String` | `getContractComment()` |
  `int` | `getId()` |
  `java.math.BigDecimal` | `getRest()` |
  `java.math.BigDecimal` | `getSumma()` |
  `java.lang.String` | `getTypeTitle()` |
  `java.lang.Boolean` | `isCheck()` |
  `void` | `setCheck​(boolean check)` |
  `void` | `setCheck​(java.lang.Boolean check)` |
  `void` | `setId​(int id)` |
  `void` | `setRest​(java.math.BigDecimal rest)` |
  `void` | `setSumma​(java.math.BigDecimal summa)` |
  `void` | `setTypeTitle​(java.lang.String typeTitle)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### type

    public int type

  - ### typeTitle

    public java.lang.String typeTitle

  - ### cid

    public int cid

  - ### defaultPosList

    public java.util.List<BGBillTablePos> defaultPosList

  - ### positionList

    protected java.util.List<BGBillTablePos> positionList

  - ### contract

    protected java.lang.String contract

  - ### contractComment

    protected java.lang.String contractComment

  - ### subBillList

    protected java.util.List<BillTableRow> subBillList

- ## Constructor Details

  - ### BillTableRow

    public BillTableRow​(java.util.List<BGBillTablePos> positionList)

  - ### BillTableRow

    public BillTableRow​(org.w3c.dom.Element rowData, java.util.List<BGBillTablePos> positionList)

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getTypeTitle

    public java.lang.String getTypeTitle()

  - ### setTypeTitle

    public void setTypeTitle​(java.lang.String typeTitle)

  - ### isCheck

    public java.lang.Boolean isCheck()

  - ### setCheck

    public void setCheck​(java.lang.Boolean check)

  - ### getContract

    public java.lang.String getContract()

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### getSumma

    public java.math.BigDecimal getSumma()

  - ### getRest

    public java.math.BigDecimal getRest()

  - ### setSumma

    public void setSumma​(java.math.BigDecimal summa)
    Parameters:
      `summa` - the summa to set

  - ### setCheck

    public void setCheck​(boolean check)

  - ### setRest

    public void setRest​(java.math.BigDecimal rest)